package modeles;

/**
 * @author Nicolas
 *
 */
public class EtreVivant {
	
	private String nom;
	protected int pVieMax;
	protected int pVie;
	private int pAttaque;
	protected Salle salle;
	private boolean vivant;
	/**
	 * @param nom
	 * @param pVieMax
	 * @param pVie
	 * @param pAttaque
	 * @param salle
	 * @param vivant
	 */
	public EtreVivant(String nom, int pVieMax, int pAttaque) {
		super();
		this.nom = nom;
		this.pVieMax = pVieMax;
		this.pVie = pVieMax;
		this.pAttaque = pAttaque;
		this.vivant = true;
	}
	/**
	 * @return the nom
	 */
	public String getNom() {
		return nom;
	}
	/**
	 * @param nom the nom to set
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}
	/**
	 * @return the pVieMax
	 */
	public int getpVieMax() {
		return pVieMax;
	}
	/**
	 * @param pVieMax the pVieMax to set
	 */
	public void setpVieMax(int pVieMax) {
		this.pVieMax = pVieMax;
	}
	/**
	 * @return the pVie
	 */
	public int getpVie() {
		return pVie;
	}
	/**
	 * @param pVie the pVie to set
	 */
	public void setpVie(int pVie) {
		this.pVie = pVie;
	}
	/**
	 * @return the pAttaque
	 */
	public int getpAttaque() {
		return pAttaque;
	}
	/**
	 * @param pAttaque the pAttaque to set
	 */
	public void setpAttaque(int pAttaque) {
		this.pAttaque = pAttaque;
	}
	/**
	 * @return the salle
	 */
	public Salle getSalle() {
		return salle;
	}
	/**
	 * @param salle the salle to set
	 */
	public void setSalle(Salle salle) {
		this.salle = salle;
	}
	/**
	 * @return the vivant
	 */
	public boolean isVivant() {
		return vivant;
	}
	/**
	 * @param vivant the vivant to set
	 */
	public void setVivant(boolean vivant) {
		this.vivant = vivant;
	}
	
	public int getPvMax() {
		return this.pVieMax;
	}
	
	
	
	
	
	
	
	
	
}

